<html>
<head>
<meta http-equiv="Content-Type" content="text/html">
<title>DL Visualize - Lights</title>
</head>

<body>
<h2 align="center">Lights</h2>

<p>
Lights are used to illuminate the object being displayed in the 3D
Viewer. A variety of lights are available: lights 0 to 3 and ambient
light. The light source(s) is/are completely independent of both the
camera and the object and therefore moving the camera or the object
will change the appearance of how the light acts.
</p>

<p>
There are two main methods for controlling lights: the icons on the
<a href="toolbar.html">toolbar</a> in DLV and the Light Viewer panel
(<b>Light</b> on the <b>Viewers</b> menu).
</p>

<p>
Using the lights panel you can choose which light to modify, the type of this
light, whether the light is on or not and the colour of the light.
In the Viewer, Light 0 is switched on by default as a directional lamp.
By selecting lights in the <b>Current</b> option box and then
      using the <b>Light On</b> checkbox you can turn lights on and
      off. You can also change the type of light between the four
      available:
<dl>
  <dt><b>Directional</b>
  <dd> lights have parallel rays and are therefore
      located at infinity on the z-axis.  (The Sun can be considered
      to be this type of light source.)  This means that none of the
      scaling or translation tools available on the toolbar will have
      any effect on the light source.  The light can still be rotated.
      These lights are generally bright and therefore can be used for
      illuminating an object brightly.  Putting two of these together
      in opposing positions creates a <b>Bi-directional</b> light
      source, which is also selectable in this window.
  </dd>
  <dt><b>Point</b>
  <dd>lights are points from where light emanates in all
      directions without restriction, such as a light bulb.  Because
      light is equally distributed around them rotation of the light
      source has no effect, but the point can be translated using the
      translation tools to shine the light on the appropriate part of
      the structure.  By default, these lights are located at (0,0,1)
      which is likely to be inside a structure so they will probably
      need moving before use.  They can be inside an object.
  </dd>
  <dt><b>Spot</b>
  <dd> lights are similar to Point lights but their light
      output is restricted to a 90<font face="Symbol">&#176;</font>
      cone, such as light from a torch.  Their initial location is at
      (0,0,0) so they will almost certainly need to be moved to be
      useful.  All the different tools (except the scale tool) are
      useful when modifying these light sources.
  </dd>
</dl>
</p>

<p>
In the viewer window, the colour of the light can be adjusted.
Normally it is appropriate to use white light but sometimes it might
be appropriate to change this.  Ticking the <b>Immediate </b>box is
recommended to be able to see the changes take effect immediately and
then you can change the <b>Hue</b>, <b>Saturation</b> and <b>Value</b>
to create the necessary colour of light (which is shown in the box
below the Immediate checkbox). 
</p>

<p>
After setting these properties, the light can be adjusted in the 3D
window. Using the DL Visualize <a href="toolbar.html">toolbar</a>,
click on the Light icon to
select the Transform light mode.  Then a mode of transformation can be
selected using the icons to the right: either rotation, scaling or
translation in either the X-Y or Z planes.  The right mouse button can
then be used to do this function in the 3D window itself by dragging
the mouse with the right-hand button held down and the results are
instantly visible.  These only apply to the currently selected light
(i.e. the one selected in the <b>Current</b> option box of the
<b>General</b> section of the Light Viewer).
</p>

<p>
Spot lights are useful for drawing interest to small parts of a
structure. Point lights illuminate a larger part and directional
lights can light a very large section of a structure.
Further attributes of spot lights (but only spot lights) can be
      set by selecting <b>Attributes</b> in the option box at the top of the
      Light Viewer.  Options here include:
<dl>
  <dt><b>Spread Angle</b></dt>
  <dd> is the angle at which the light spreads out
      either side of its main direction.  A value of
      0<font face="Symbol">&#176;</font> here removes the light and
      180<font face="Symbol">&#176;</font> turns the spot light into a
      point light.
  </dd>
  <dt><b>Attenuation</b></dt>
  <dd>determines the extent to which the light
      source &quot;tapers off&quot; as it becomes further away: the
      higher the attenuation, the less light there is further from the
      source.
  </dd>
  <dt> <b>Concentration</b></dt>
  <dd> of the light determines how focussed
      the spot light is.  A higher concentration makes the beam more
      highly directed and focused; a lower value spreads the light out
      more thinly.
  </dd>
</dl>
</p>

<p>
Ambient light is also available in the 3D viewer by choosing
<b>Ambient </b>in the option box at the top of the light viewer. This
provides a uniform, nondirectional light throughout the entire view
and ensures that an object will always be visible.  By default this
light is on but turning it off using the <b>Light On </b>checkbox will
increase the contrast between lit and unlit surfaces, which can make
the directional types of light more effective.  
If only ambient light is on then objects may appear featureless and
flat because ambient light is directionless.  Therefore at least one
more light is needed to give a good representation of the object.
The colour of the ambient light can also be adjusted although there is
little reason for doing this.  The process is the same as for the
other types of lights.
</p>

<p>
Overall, to effectively light your model you will want to determine
whether or not ambient light is needed and then to carefully select
and position a number of other lights of various types to illuminate
the important features of the model.
</p>

</body>
</html>
